#!/usr/bin/env python
# -*- coding: latin-1 -*-
# Date Format: YYYY-MM-DD

"""
Image Generator:
    Generates images based on criteria.

https://github.com/TheElementalOfDestruction/image-generator
"""

# --- LICENSE.txt -----------------------------------------------------------------
#
#    Copyright 2021 Destiny Peterson and Liam Moriarty
#
#    This program is free software: you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation, either version 3 of the License, or
#    (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with this program. If not, see <http://www.gnu.org/licenses/>.

__author__ = 'Destiny Peterson (The Elemental of Destruction)'
__date__ = '2021-07-11'
__version__ = '1.7.0'

from .drake import createDrake
from .jail import createJail
from .killed import createKilled
from .pooh import createPooh
from .realization import createRealization
from .ship import createShip
from .test_font import createFontTest
from .text_image import createTextImage
from .trash import createTrash
from .uno import createUno
from .wolverine import createWolverine
